• Vadim Zeitlin's avatar
    Allow defining SOCI_POSTGRESQL_NOSINLGEROWMODE for PostgreSQL < 9 · 09c26314
    Vadim Zeitlin authored
    Since the changes of b70a4e8b, PostgreSQL
    backend is not compatible with PostgreSQL < 9, contrary to the documented
    supported platforms in the documentation.
    
    Ideal would be to continue supporting the old versions by default and use
    PQsetSingleRowMode() only if it's detected as being available by CMake, but
    for now at least allow disabling single mode support manually.
    
    Closes #571.
    09c26314
Name
Last commit
Last update
bin Loading commit data...
cmake Loading commit data...
docs Loading commit data...
include Loading commit data...
languages/ada Loading commit data...
src Loading commit data...
tests Loading commit data...
www Loading commit data...
.gitattributes Loading commit data...
.gitignore Loading commit data...
.travis.yml Loading commit data...
AUTHORS Loading commit data...
CHANGES Loading commit data...
CMakeLists.txt Loading commit data...
CTestConfig.cmake Loading commit data...
LICENSE_1_0.txt Loading commit data...
README.md Loading commit data...
TODO Loading commit data...
Vagrantfile Loading commit data...
appveyor.yml Loading commit data...
mkdocs.yml Loading commit data...
valgrind.suppress Loading commit data...